# GridFire: gridfire::reaction Namespace Reference

Loading...
Searching...
No Matches
gridfire::reaction Namespace Reference

## Classes

class | LogicalReaction
| Represents a "logical" reaction that aggregates rates from multiple sources. More...
struct | RateCoefficientSet
| Holds the seven coefficients for the REACLIB rate equation. More...
class | Reaction
| Represents a single nuclear reaction from a specific data source. More...
class | TemplatedReactionSet

## Typedefs

using | ReactionSet = TemplatedReactionSet<Reaction>
| A set of reactions, typically from a single source like REACLIB.
using | LogicalReactionSet = TemplatedReactionSet<LogicalReaction>
| A set of logical reactions.

## Functions

LogicalReactionSet | packReactionSetToLogicalReactionSet (const ReactionSet &reactionSet)

## Typedef Documentation

## LogicalReactionSet

using gridfire::reaction::LogicalReactionSet = TemplatedReactionSet<LogicalReaction>

A set of logical reactions.

Definition at line 563 of file reaction.h.

## ReactionSet

using gridfire::reaction::ReactionSet = TemplatedReactionSet<Reaction>

A set of reactions, typically from a single source like REACLIB.

Definition at line 562 of file reaction.h.

## Function Documentation

## packReactionSetToLogicalReactionSet()

LogicalReactionSet gridfire::reaction::packReactionSetToLogicalReactionSet | ( | const ReactionSet & | reactionSet | ) |

Definition at line 273 of file reaction.cpp.